import 'package:designflow_widgets/designflow_widgets.dart';
import 'package:designflow_material_addon/core/floating_action_button_types.dart';
import 'package:designflow_material_addon/core/key_constants.dart';
import 'package:enum_to_string/enum_to_string.dart';

import './material_button_types.dart';

class MaterialDynamicAttributes extends DynamicAttributes {
  const MaterialDynamicAttributes(this.parent);

  final DynamicAttributes parent;

  ///[value] == [doc[key]]
  @override
  dynamic manualFromJson(
    String key,
    dynamic value,
    ActionMapper actionMapper,
  ) {
    switch (key) {
      case MaterialDBKeys.materialButtonType:
        return EnumToString.fromString(MaterialButtonTypes.values, value);
      case MaterialDBKeys.floatingActionButtonType:
        return EnumToString.fromString(FloatingActionButtonTypes.values, value);
      default:
        return parent.manualFromJson(key, value, actionMapper);
    }
  }

  @override
  dynamic toJson(final String key, final dynamic value) {
    switch (key) {
      case MaterialDBKeys.materialButtonType:
        return EnumToString.convertToString(value);
      case MaterialDBKeys.floatingActionButtonType:
        return EnumToString.convertToString(value);
      default:
        return parent.toJson(key, value);
    }
  }
}
