library designflow_material_addon;

import 'package:designflow_widgets/designflow_widgets.dart';
import 'package:designflow_material_addon/core/dynamic_attributes_parse.dart';
import 'package:designflow_material_addon/core/get_it.dart';
import 'package:designflow_material_addon/src/nodes/nodes_parse.dart';

export './src/adaptors/index.dart';
export './src/default_attributes/index.dart';
export './src/nodes/index.dart';
export './src/widgets/index.dart';

class DesignFlowWidgetsMaterial extends DesignFlowWidgets {
  const DesignFlowWidgetsMaterial();

  static void initializeDependencies() async {
    getIt
      ..registerSingleton<DynamicAttributes>(MaterialDynamicAttributes(getIt()))
      ..registerSingleton<NodesParse>(MaterialNodesParse(getIt()));
  }
}
