import 'package:designflow_widgets/designflow_widgets.dart';
import 'package:designflow_material_addon/core/node_type.dart';

class MaterialButtonIntrinsicStates extends IntrinsicState {
  const MaterialButtonIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Material Button',
          type: MaterialNType.materialButton,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const MaterialButtonIntrinsicStates.create() : this();
}

class FloatingActionButtonIntrinsicStates extends IntrinsicState {
  const FloatingActionButtonIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Floating Action Button',
          type: MaterialNType.floatingActionButton,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const FloatingActionButtonIntrinsicStates.create() : this();
}

class IconButtonIntrinsicStates extends IntrinsicState {
  const IconButtonIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Icon Button',
          type: MaterialNType.iconButton,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const IconButtonIntrinsicStates.create() : this();
}

class DatePickerIntrinsicStates extends IntrinsicState {
  const DatePickerIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Date Picker',
          type: MaterialNType.datePicker,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const DatePickerIntrinsicStates.create() : this();
}

class TimePickerIntrinsicStates extends IntrinsicState {
  const TimePickerIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Time Picker',
          type: MaterialNType.timePicker,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const TimePickerIntrinsicStates.create() : this();
}

class SliderIntrinsicStates extends IntrinsicState {
  const SliderIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Slider',
          type: MaterialNType.slider,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const SliderIntrinsicStates.create() : this();
}

class RangeSliderIntrinsicStates extends IntrinsicState {
  const RangeSliderIntrinsicStates()
      : super(
          nodeIcon: 'nodes/box.svg',
          displayName: 'Range Slider',
          type: MaterialNType.rangeSlider,
          canHave: ChildrenEnum.none,
          triggers: const [],
        );

  const RangeSliderIntrinsicStates.create() : this();
}

class AppBarIntrinsicStates extends IntrinsicState {
  const AppBarIntrinsicStates()
      : super(
          nodeIcon: 'nodes/appbar.svg',
          displayName: 'AppBar',
          type: MaterialNType.appBar,
          canHave: ChildrenEnum.children,
          triggers: const [],
        );

  const AppBarIntrinsicStates.create() : this();
}

class BottomBarIntrinsicStates extends IntrinsicState {
  const BottomBarIntrinsicStates()
      : super(
          nodeIcon: 'nodes/bottombar.svg',
          displayName: 'BottomBar',
          type: MaterialNType.bottomBar,
          canHave: ChildrenEnum.children,
          triggers: const [],
        );

  const BottomBarIntrinsicStates.create() : this();
}
