import 'package:designflow_widgets/designflow_widgets.dart';
import 'package:flutter/material.dart';

class OpenWMaterialDatePicker extends StatelessWidget {
  const OpenWMaterialDatePicker({
    super.key,
    required this.state,
  });

  final WidgetState state;

  void _handleOnPressed(BuildContext context) {
    runWorkflows(
      node: state.node,
      trigger: Trigger.onTap,
      context: context,
      loop: state.loop,
    );
  }

  @override
  Widget build(BuildContext context) {
    return BlocBuildersForNodes(
      node: state.node,
      builder: (context, appState, pageState, stylesState) {
        return IgnorePointer(
          ignoring: !appState.forPlay,
          child: CalendarDatePicker(
            onDateChanged: (date) {},
            initialDate: DateTime.now(),
            currentDate: DateTime.now(),
            firstDate: DateTime(2021),
            lastDate: DateTime(2026),
          ),
        );
      },
    );
  }
}
