import 'package:designflow_widgets/designflow_widgets.dart';
import 'package:flutter/material.dart';

class OpenWMaterialTimePicker extends StatelessWidget {
  const OpenWMaterialTimePicker({
    super.key,
    required this.state,
  });

  final WidgetState state;

  void _handleOnPressed(BuildContext context) {
    runWorkflows(
      node: state.node,
      trigger: Trigger.onTap,
      context: context,
      loop: state.loop,
    );
  }

  @override
  Widget build(BuildContext context) {
    return BlocBuildersForNodes(
      node: state.node,
      builder: (context, appState, pageState, stylesState) {
        return IgnorePointer(
          ignoring: !appState.forPlay,
          child: TimePickerDialog(
            restorationId: 'date_picker_dialog',
            initialEntryMode: TimePickerEntryMode.dial,
            initialTime: TimeOfDay.fromDateTime(DateTime.now()),
          ),
        );
      },
    );
  }
}
